/* $Id$ */

%{
#include <opencv/cxcore.h>
#if CV_MAJOR_VERSION*10 + CV_MINOR_VERSION > 21
#include <opencv2/core/types_c.h>
#else
#include <cxtypes.h> // opencv
#endif
%}

typedef struct CvPoint2D32f
{
    float x;
    float y;
}
CvPoint2D32f;

CvPoint2D32f  cvPoint2D32f( double x, double y );

typedef struct CvRect
{
    int x;
    int y;
    int width;
    int height;
}
CvRect;

CvRect  cvRect(int x, int y, int width, int height );


%include "carrays.i"
%array_functions(CvPoint2D32f, CvPoint2D32fArray)
