/* $Id: $ */

#ifndef _IMAGE_FILTER_HPP_
#define _IMAGE_FILTER_HPP_

#include "image/Image.hpp"

namespace jafar {
  namespace image {
    /*!
     * Some filter kernel creation functions
     * \ingroup image
     */
    namespace filter {
			
      /*! Gabor kernel function
       */
      // CvMatrix gaborkernel(float major_stddev, float minor_stddev,
      // 			   float period, float phase, float theta, int size);
      cv::Mat gaborkernel(float major_stddev, float minor_stddev,
			  float period, float phase, float theta, int size);
    } /* filter */
  } /* image */
} /* jafar */


#endif /* _IMAGE_FILTER_HPP_ */
